.hero-with-text-and-image {
    width: calc(100% - 20px);
    max-width: 1900px;
    margin: 0 auto;
    padding: 80px 0;
    position: relative;
    overflow: hidden;
}
.hero-with-text-and-image.hero-chatgpt-ads-agency {
    border-radius: 20px;
    background: #F4F3F3;
}

.hero-chatgpt-ads-agency > img {
    position: absolute;
    top: 0;
    right: 0;
    z-index: 1;
    max-width: 960px;
    max-height: 960px;
}

.hero-with-text-and-image--body {
    display: flex;
    align-items: center;
    flex-direction: row;
    justify-content: space-between;
    gap: 20px;
    max-width: 1450px;
    margin: 0 auto;
    color: #000;
    position: relative;
    z-index: 2;
}
.hero-with-text-and-image--body > div {
    max-width: 700px;
}

.hero-with-text-and-image--body .body--text {
    padding: 0 16px;
}

.hero-with-text-and-image .pre-heading {
    font-size: 20px;
    font-style: normal;
    font-weight: 400;
    line-height: 100%;
    letter-spacing: -0.2px;
    margin: 0 0 32px;
}

.hero-with-text-and-image .heading {
    font-size: 80px;
    font-style: normal;
    font-weight: 600;
    line-height: 100%;
    letter-spacing: -3.2px;
    margin: 0;
}

.hero-with-text-and-image .text {
    margin: 40px 0 0;
}
.hero-with-text-and-image .text p {
    font-size: 20px;
    font-style: normal;
    font-weight: 600;
    line-height: 140%;
    letter-spacing: -0.2px;
    margin: 0;
}

.hero-with-text-and-image .ctas {
    display: flex;
    gap: 20px;
    margin: 24px 0 0;
}
.hero-with-text-and-image .btn {
    font-size: 18px;
    padding: 10px 28px;
}

.hero-chatgpt-ads-agency .body--image {
    border-radius: 20px;
    background: linear-gradient(264deg, rgba(194, 206, 255, 0.40) 10.17%, rgba(46, 86, 255, 0.40) 60.22%, rgba(194, 206, 255, 0.40) 103.12%);
    box-shadow: 0 36.858px 13.981px 0 rgba(46, 86, 255, 0.02), 0 20.335px 12.71px 0 rgba(46, 86, 255, 0.08), 0 8.897px 8.897px 0 rgba(46, 86, 255, 0.13), 0 2.542px 5.084px 0 rgba(46, 86, 255, 0.15);
    backdrop-filter: blur(4.5px);
}
.body--image img {
    max-width: 100%;
}
.body--image img:nth-child(2) {
    display: none;
}

@media screen and (max-width: 1280px) {
    .hero-with-text-and-image .heading {
        font-size: 60px;
        letter-spacing: -3px;
    }
}

@media screen and (max-width: 991px) {
    .hero-with-text-and-image {
        width: calc(100% - 16px);
        padding: 48px 0;
    }
    .hero-with-text-and-image.hero-chatgpt-ads-agency {
        border-radius: 0;
        background: transparent;
    }

    .hero-with-text-and-image .pre-heading {
        font-size: 14px;
        letter-spacing: -0.14px;
        margin: 0 0 8px;
    }

    .hero-with-text-and-image .heading {
        font-size: 48px;
        letter-spacing: -1.92px;
    }

    .hero-with-text-and-image .text {
        margin: 12px 0 0;
    }
    .hero-with-text-and-image .text p {
        font-size: 16px;
        letter-spacing: -0.16px;
    }

    .hero-with-text-and-image .btn {
        font-size: 16px;
        padding: 8px 20px;
    }
}

@media screen and (max-width: 768px) {
    .hero-with-text-and-image {
        width: 100%;
        padding: 0 16px 48px;
    }

    .hero-chatgpt-ads-agency > img {
        display: none;
    }

    .hero-with-text-and-image--body {
        flex-direction: column;
        justify-content: start;
        gap: 8px;
    }

    .hero-with-text-and-image--body > div {
        max-width: 100%;
    }

    .hero-with-text-and-image--body .body--text {
        padding: 48px 16px;
        text-align: center;
        border-radius: 16px;
        background: #F4F3F3;
    }

    .hero-with-text-and-image .ctas {
        gap: 8px;
        justify-content: center;
    }
}

@media screen and (max-width: 480px) {
    .hero-with-text-and-image .ctas {
        flex-direction: column;
        align-items: center;
    }

    .hero-with-text-and-image .btn {
        width: 270px;
    }

    .body--image img:nth-child(1) {
        display: none;
    }
    .body--image img:nth-child(2) {
        display: block;
    }
}
